<?php
/**
 * @version		$Id: default.php 21322 2011-05-11 01:10:29Z dextercowley $
 * @package		Joomla.Site
 * @subpackage	mod_login
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;
JHtml::_('behavior.keepalive');

// BEGIN: horizontal in ddp1 module position
if ($params->get('moduleclass_sfx') == 'horizontal'){

?>
<?php if ($type == 'logout') : ?>
<form action="<?php echo JRoute::_('index.php', true, $params->get('usesecure')); ?>" method="post" id="login-form">
<?php if ($params->get('greeting')) : ?>
	<div class="login-greeting">
	<?php if($params->get('name') == 0) : {
		echo JText::sprintf('MOD_LOGIN_HINAME', $user->get('name'));
	} else : {
		echo JText::sprintf('MOD_LOGIN_HINAME', $user->get('username'));
	} endif; ?>
	</div>
<?php endif; ?>
	<div class="logout-button">
		<input type="submit" name="Submit" class="button" value="<?php echo JText::_('JLOGOUT'); ?>" />
		<input type="hidden" name="option" value="com_users" />
		<input type="hidden" name="task" value="user.logout" />
		<input type="hidden" name="return" value="<?php echo $return; ?>" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>
<?php else : ?>
<form action="<?php echo JRoute::_('index.php', true, $params->get('usesecure')); ?>" method="post" id="login-form" >
	<?php if ($params->get('pretext')): ?>
		<div class="pretext">
		<p><?php echo $params->get('pretext'); ?></p>
		</div>
	<?php endif; ?>
	<fieldset class="userdata">

	<div>
		<table border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td><label for="modlgn-username"><?php echo JText::_('MOD_LOGIN_VALUE_USERNAME') ?></label></label></td>
				<td rowspan="2" width="<? echo $gap; ?>"></td>
				<td><label for="modlgn-passwd" style="margin: 0 0 0 10px;"><?php echo JText::_('JGLOBAL_PASSWORD') ?></label></td>
				<td rowspan="2" width="<? echo $gap; ?>"></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td><input id="modlgn-username" type="text" name="username" class="inputbox"  size="20" /></td>
				<td><input id="modlgn-passwd" type="password" name="password" class="inputbox" size="20" style="margin: 0 0 0 10px;" /></td>
				<td><input type="submit" name="Submit" class="button" style="margin: 0 0 0 10px;" value="<?php echo JText::_('JLOGIN') ?>" /></td>
			</tr>
		</table>
	</div>
    

	<?php if (JPluginHelper::isEnabled('system', 'remember')) : ?>
	<div id="form-login-remember" style="margin-top: 5px; font-size: 10px;">
		<input id="modlgn-remember" type="checkbox" name="remember" class="inputbox" value="yes" style="position:relative;top:2px;"/>
		<label for="modlgn-remember" style="padding: 0 5px 0 5px;"><?php echo JText::_('MOD_LOGIN_REMEMBER_ME') ?></label>
        <a href="<?php echo JRoute::_('index.php?option=com_users&view=reset'); ?>" style="padding: 0 5px 0 0;"><?php echo JText::_('MOD_LOGIN_FORGOT_YOUR_PASSWORD'); ?></a>
		<a href="<?php echo JRoute::_('index.php?option=com_users&view=remind'); ?>" style="padding: 0 5px 0 0;"><?php echo JText::_('MOD_LOGIN_FORGOT_YOUR_USERNAME'); ?></a>
		<?php
		$usersConfig = JComponentHelper::getParams('com_users');
		if ($usersConfig->get('allowUserRegistration')) : ?>
		<a href="<?php echo JRoute::_('index.php?option=com_users&view=registration'); ?>"><?php echo JText::_('MOD_LOGIN_REGISTER'); ?></a>
	</div>
	<?php endif; ?>
	
	<input type="hidden" name="option" value="com_users" />
	<input type="hidden" name="task" value="user.login" />
	<input type="hidden" name="return" value="<?php echo $return; ?>" />
	<?php echo JHtml::_('form.token'); ?>
	</fieldset>
		
		<?php endif; ?>
	<?php if ($params->get('posttext')): ?>
		<div class="posttext">
		<p><?php echo $params->get('posttext'); ?></p>
		</div>
	<?php endif; ?>
</form>
<?php endif; ?>

<?php } // END: horizontal in ddp1 module position 
else{
	require_once (JPATH_ROOT.DS.'modules'.DS.'mod_login'.DS.'tmpl'.DS.'default.php');	
} ?>
